﻿-- Author      : Nogarder
-- Create Date : 2010/7/4 16:33:11

if(NPA_Core:CheckHook("Tracker"))then

local Localization={}
local locale=GetLocale()
local table_insert = table.insert
local pairs = pairs
local Tooltips={}

if(locale=="zhTW")then
	Localization={
		["PageName"]="追踪",
		["Apply"]="套用",
		["Reset"]="重置",
		["Cancel"]="撤銷",
		["UpdateInterval"]="更新間隔(秒)",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["Size"]="尺寸",
		["Count"]="最大數量",
		["Row"]="每行數量",
		["Filter"]="過濾",
		["LeftWard"]="向左增長",
		["UpWard"]="向上增長",
		["Hostile"]="敵對",
		["NonHostile"]="非敵對",
		["Cast"]="正在施法",
		["Aura"]="有buff/debuff",
		["CastOnMe"]="正在對我施法",
		["FrameUpdateInterval"]="框架更新間隔 (秒)",
		["Width"]="行間距",
		["Height"]="列間距",
		["CrowdControl"]="有控場提示",
		["TimeOut"]="超時 (秒)",
		["CounterSpell"]="有反制提示",
		["CoolDown"]="有技能冷卻",
		["Self"]="顯示玩家自己的姓名板",
		["SelfOffsetX"]="自身框體X偏移",
		["SelfOffsetY"]="自身框體Y偏移",
		["SelfSize"]="自身框體尺寸",
		["SelfName"]="顯示自己的名字",
		["SelfAlpha"]="自身框體透明度",
		["Pet"]="顯示玩家寵物的姓名板",
		["PetOffsetX"]="玩家寵物框體X偏移",
		["PetOffsetY"]="玩家寵物框體Y偏移",
		["PetSize"]="玩家寵物框體尺寸",
		["PetName"]="顯示玩家寵物的名字",
		["PetAlpha"]="玩家寵物框體透明度",
		["ModuleList"]="追踪框體模塊(需要重載ui)",
		["SelfModuleList"]="自身框體模塊(需要重載ui)",
		["PetModuleList"]="寵物框體模塊(需要重載ui)",

	}
	Tooltips={
		["Tracker"]="顯示屏幕外單位的姓名板,自己的姓名板,和自己寵物的姓名板",
		["Count"]="這項設為0則關閉"
	}
elseif(locale=="zhCN")then
	Localization={
		["PageName"]="追踪",
		["Apply"]="套用",
		["Reset"]="重置",
		["Cancel"]="撤销",
		["UpdateInterval"]="更新间隔(秒)",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["Size"]="尺寸",
		["Count"]="最大数量",
		["Row"]="每行数量",
		["Filter"]="过滤",
		["LeftWard"]="向左增长",
		["UpWard"]="向上增长",
		["Hostile"]="敌对",
		["NonHostile"]="非敌对",
		["Cast"]="正在施法",
		["Aura"]="有buff/debuff",
		["CastOnMe"]="正在对我施法",
		["FrameUpdateInterval"]="框架更新间隔 (秒)",
		["Width"]="行间距",
		["Height"]="列间距",
		["CrowdControl"]="有控场提示",
		["TimeOut"]="超时 (秒)",
		["CounterSpell"]="有反制提示",
		["CoolDown"]="有技能冷却",
		["Self"]="显示玩家自己的姓名板",
		["SelfOffsetX"]="自身框体X偏移",
		["SelfOffsetY"]="自身框体Y偏移",
		["SelfSize"]="自身框体尺寸",
		["SelfName"]="显示自己的名字",
		["SelfAlpha"]="自身框体透明度",
		["Pet"]="显示玩家宠物的姓名板",
		["PetOffsetX"]="玩家宠物框体X偏移",
		["PetOffsetY"]="玩家宠物框体Y偏移",
		["PetSize"]="玩家宠物框体尺寸",
		["PetName"]="显示玩家宠物的名字",
		["PetAlpha"]="玩家宠物框体透明度",
		["ModuleList"]="追踪框体模块(需要重载ui)",
		["SelfModuleList"]="自身框体模块(需要重载ui)",
		["PetModuleList"]="宠物框体模块(需要重载ui)",


	}
	Tooltips={
		["Tracker"]="显示屏幕外单位的姓名板,自己的姓名板,和自己宠物的姓名板",
		["Count"]="这项设为0则关闭"
	}
else
	Localization={
		["PageName"]="Tracker",
		["Apply"]="Apply",
		["Reset"]="Reset",
		["Cancel"]="Cancel",
		["UpdateInterval"]="Tracker update interval (Second)",
		["OffsetX"]="Offset X",
		["OffsetY"]="Offset Y",
		["Size"]="Size",
		["Count"]="Max tracker number",
		["Row"]="Max tracker per row",
		["Filter"]="Filter",
		["LeftWard"]="Grow leftward",
		["UpWard"]="Grow upward",
		["Hostile"]="Show hostile",
		["NonHostile"]="Show non-hostile",
		["Cast"]="Is casting",
		["Aura"]="Has aura",
		["CastOnMe"]="Is casting on me",
		["FrameUpdateInterval"]="Frame update interval (Second)",
		["Width"]="Row gap",
		["Height"]="Column gap",
		["CrowdControl"]="Has crowd control",
		["TimeOut"]="Time out (Second)",
		["CounterSpell"]="Has counterspell",
		["CoolDown"]="Has cooldown",
		["Self"]="Show frame for self",
		["SelfOffsetX"]="Self frame offset X",
		["SelfOffsetY"]="Self frame offset Y",
		["SelfSize"]="Self frame Size",
		["SelfName"]="Show self Name",
		["SelfAlpha"]="Self frame alpha",
		["Pet"]="Show frame for Pet",
		["PetOffsetX"]="Pet frame offset X",
		["PetOffsetY"]="Pet frame offset Y",
		["PetSize"]="Pet frame Size",
		["PetName"]="Show Pet Name",
		["PetAlpha"]="Pet frame alpha",
		["ModuleList"]="Tracker frame module(require ui reload)",
		["SelfModuleList"]="Self frame module(require ui reload)",
		["PetModuleList"]="Pet frame module(require ui reload)",
	}
	Tooltips={
		["Tracker"]="Shows nameplate for unit outside of screen, self nameplate, and pet nameplate",
		["Count"]="Set this 0 to turn off"
	}
end


local mainframe=NPA_Options:AddPage("NPA_Options_Tracker",Localization["PageName"],"Tracker",Tooltips["Tracker"])

local Options=mainframe.Options



local sliderlist={
	["Tracker_UpdateInterval"]={
		Name=Localization["UpdateInterval"],
		Min=0.1,
		Max=3,
		Step=0.1,
		Width=142,
		OffsetX=20,
		OffsetY=-10
	},

	["Tracker_Frame_UpdateInterval"]={
		Name=Localization["FrameUpdateInterval"],
		Min=0.1,
		Max=3,
		Step=0.1,
		Width=142,
		OffsetX=175,
		OffsetY=-10
	},

	["Tracker_OffsetX"]={
		Name=Localization["OffsetX"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-50
	},
	["Tracker_OffsetY"]={
		Name=Localization["OffsetY"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=175,
		OffsetY=-50
	},

	["Tracker_Size"]={
		Name=Localization["Size"],
		Min=0.1,
		Max=3,
		Step=0.1,
		Width=142,
		OffsetX=20,
		OffsetY=-90
	},

	["Tracker_Count"]={
		Name=Localization["Count"],
		Min=0,
		Max=20,
		Step=1,
		Width=142,
		OffsetX=175,
		OffsetY=-90
	},

	["Tracker_Row"]={
		Name=Localization["Row"],
		Min=1,
		Max=10,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-130
	},

	["Tracker_Height"]={
		Name=Localization["Height"],
		Min=1,
		Max=400,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-170
	},

	["Tracker_Width"]={
		Name=Localization["Width"],
		Min=1,
		Max=400,
		Step=1,
		Width=142,
		OffsetX=175,
		OffsetY=-170
	},

	["Tracker_TimeOut"]={
		Name=Localization["TimeOut"],
		Min=1,
		Max=360,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-210
	},

	["Tracker_SelfOffsetX"]={
		Name=Localization["SelfOffsetX"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-290
	},

	["Tracker_SelfOffsetY"]={
		Name=Localization["SelfOffsetY"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=175,
		OffsetY=-290
	},
	["Tracker_SelfSize"]={
		Name=Localization["SelfSize"],
		Min=1,
		Max=5,
		Step=0.1,
		Width=142,
		OffsetX=20,
		OffsetY=-330
	},

	["Tracker_SelfAlpha"]={
		Name=Localization["SelfAlpha"],
		Min=0.1,
		Max=1,
		Step=0.1,
		Width=142,
		OffsetX=175,
		OffsetY=-330
	},


	["Tracker_PetOffsetX"]={
		Name=Localization["PetOffsetX"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=20,
		OffsetY=-420
	},

	["Tracker_PetOffsetY"]={
		Name=Localization["PetOffsetY"],
		Min=-450,
		Max=450,
		Step=1,
		Width=142,
		OffsetX=175,
		OffsetY=-420
	},
	["Tracker_PetSize"]={
		Name=Localization["PetSize"],
		Min=1,
		Max=5,
		Step=0.1,
		Width=142,
		OffsetX=20,
		OffsetY=-460
	},

	["Tracker_PetAlpha"]={
		Name=Localization["PetAlpha"],
		Min=0.1,
		Max=1,
		Step=0.1,
		Width=142,
		OffsetX=175,
		OffsetY=-460
	},
}


NPA_Options:BuildSliderList("NPA_Options_Tracker",mainframe,sliderlist,Options,tooltipslist)



local checkbox=NPA_Options:CreateCheckBox("NPA_Options_Tracker_Self",mainframe,21,Localization["Self"],"Tracker_Self")
checkbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",20,-270)
table_insert(Options,checkbox)

local checkbox=NPA_Options:CreateCheckBox("NPA_Options_Tracker_SelfName",mainframe,21,Localization["SelfName"],"Tracker_SelfName")
checkbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",220,-270)
table_insert(Options,checkbox)



-----------------------------
local checkbox=NPA_Options:CreateCheckBox("NPA_Options_Tracker_Pet",mainframe,21,Localization["Pet"],"Tracker_Pet")
checkbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",20,-400)
table_insert(Options,checkbox)

local checkbox=NPA_Options:CreateCheckBox("NPA_Options_Tracker_PetName",mainframe,21,Localization["PetName"],"Tracker_PetName")
checkbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",220,-400)
table_insert(Options,checkbox)



---------------------------
local listframe=NPA_Options:CreateFrame("NPA_Options_Tracker_Filter",mainframe)
listframe:SetPoint("TOPRIGHT",-6,-6)
listframe:SetWidth(240)

local checkboxdata={
	["Tracker_LeftWard"]=Localization["LeftWard"],
	["Tracker_UpWard"]=Localization["UpWard"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_Tracker",listframe,20,checkboxdata,17,Options,1)


local listframe2=NPA_Options:CreateFrame("NPA_Options_Tracker_Filter",mainframe,Localization["Filter"])
listframe2:SetPoint("TOPRIGHT",listframe,"BOTTOMRIGHT",0,-29)
listframe2:SetPoint("TOPLEFT",listframe,"BOTTOMLEFT",0,-29)

local checkboxdata={
	["Tracker_Hostile"]=Localization["Hostile"],
	["Tracker_NonHostile"]=Localization["NonHostile"],
	["Tracker_Aura"]=Localization["Aura"],
	["Tracker_Cast"]=Localization["Cast"],
	["Tracker_CastOnMe"]=Localization["CastOnMe"],
	["Tracker_CrowdControl"]=Localization["CrowdControl"],
	["Tracker_CounterSpell"]=Localization["CounterSpell"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_Tracker",listframe2,20,checkboxdata,17,Options,1)




local modulelist=NPA_Options:CreateCheckListEdit2("NPA_Options_Tracker_ModuleList",mainframe,Localization["ModuleList"],"Tracker_ModuleList")
modulelist:SetPoint("TOPLEFT",listframe2,"BOTTOMLEFT",0,-3)
modulelist:SetPoint("TOPRIGHT",listframe2,"BOTTOMRIGHT",0,-3)

local selfmodulelist=NPA_Options:CreateCheckListEdit2("NPA_Options_Tracker_SelfModuleList",mainframe,Localization["SelfModuleList"],"Tracker_SelfModuleList")
selfmodulelist:SetPoint("TOPLEFT",modulelist,"BOTTOMLEFT",0,-3)
selfmodulelist:SetPoint("TOPRIGHT",modulelist,"BOTTOMRIGHT",0,-3)

local petmodulelist=NPA_Options:CreateCheckListEdit2("NPA_Options_Tracker_PetModuleList",mainframe,Localization["PetModuleList"],"Tracker_PetModuleList")
petmodulelist:SetPoint("TOPLEFT",selfmodulelist,"BOTTOMLEFT",0,-3)
petmodulelist:SetPoint("TOPRIGHT",selfmodulelist,"BOTTOMRIGHT",0,-3)

end